Get bank line
GET
/v1/bank-transactions/{id}Requires one ofbank:readread:ledger
Path parameters
Errors
401Invalid or missing authentication403Missing scope, or the company is archived404The resource does not exist in this company429Rate limit exceeded500Internal Server Error
Every error has the same shape. See Errors.
curl https://api.numina.app/v1/bank-transactions/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer numi_YOUR_API_KEY"const response = await fetch("https://api.numina.app/v1/bank-transactions/550e8400-e29b-41d4-a716-446655440000", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.NUMINA_API_KEY}`,
},
});
const data = await response.json();import os
import requests
response = requests.get(
"https://api.numina.app/v1/bank-transactions/550e8400-e29b-41d4-a716-446655440000",
headers={
"Authorization": f"Bearer {os.environ['NUMINA_API_KEY']}",
},
)
data = response.json()Response
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"bank_account_id": "550e8400-e29b-41d4-a716-446655440000",
"bank_account_name": "string",
"ledger_account_number": 0,
"date": "string",
"value_date": "string",
"amount": 0,
"currency": "string",
"counterparty": "string",
"payment_reference": "string",
"state": "unreconciled",
"journal_entries": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"state": "draft"
}
],
"agent_processing": false
}